class Bundler::Fetcher::AuthenticationRequiredError

This error is raised if HTTP authentication is required, but not provided.

Public Class Methods

new(remote_uri) click to toggle source
Calls superclass method Exception.new
# File lib/bundler/fetcher.rb, line 43
def initialize(remote_uri)
  remote_uri = filter_uri(remote_uri)
  super "Authentication is required for #{remote_uri}.\n" \
    "Please supply credentials for this source. You can do this by running:\n" \
    " bundle config #{remote_uri} username:password"
end